<!-- Exemple de ngClass qui permet d'ajouter une classe ou non sur un élément selon une valeur booléenne, 
    ici on ajoute la classe selected sur le bouton si le openModal est true -->
<button (click)="toggleModal()" [ngClass]="{'selected':modalOpen}">Open modal</button>

<div class="bg-modal" *ngIf="modalOpen">
    <div class="modal">
        <button (click)="toggleModal()" class="close">X</button>
        Modal content
    </div>
</div>


<h2>Student List</h2>
<app-student 
    *ngFor="let item of students" 
    [name]="item">
</app-student>